Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004576TestLinkExport/Importpublic2011-06-05 19:222012-09-01 19:59
Reporterkinow 
Assigned Tokinow 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.0 (planned) 
Fixed in Version1.9.4 (2012 Q3 - bug fixing) 
Summary0004576: Unable to import requirement using CSV file
DescriptionHello, I'm unable to import requirement operations using CSV files. I attached the CSV files that I am using. One of these files I copied from the tl-file-formats.pdf document. As I never used CSV to import entities into TestLink, I may be doing some dumb mistake, could somebody with karma have a look if the files are valid, please?
Steps To Reproduce1. Select import from the requirement operations screen
2. Use one of the files enclosed to this issue
TagsNo tags attached.
Database (MySQL,Postgres,etc)mysql Ver 14.14 Distrib 5.1.41, for Win32 (ia32)
BrowserMozilla Firefox 4.0
PHP VersionPHP 5.2
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon 007.PNG [^] (43,784 bytes) 2011-06-05 19:22


csv file icon sample_reqs.csv [^] (67 bytes) 2011-06-05 19:22
csv file icon sample_reqs_2.csv [^] (95 bytes) 2011-06-05 19:23
png file icon Screenshot from 2012-06-14 13:32:00.png [^] (36,321 bytes) 2012-06-14 16:48

- Relationships

-  Notes
(0016401)
mretallack (reporter)
2012-02-21 10:33

Hi, We have also found this issue,

We are running 1.9.2.

The problem turned out to be the number of fields used in the CSV file. The documentation states that the following format is accepted:

ENG-0001,Terrestrial Propulsor,
ENG-0002,Main Deflector,"

Main deflector bla, bla, bla.

"

However, from the code, 7 fields are needed:

"docid","title","description","type","status","expected_coverage","node_order"

If a lines does not have all 7 fields, then it is ignored.
Hope this helps

Mark.
(0016408)
kinow (reporter)
2012-02-29 21:49

Hi Mark!

I will have a look on this issue again this next weekend.

Sorry for taking long to comment here.

Bruno
(0016882)
kinow (reporter)
2012-06-14 16:47

Fixed in f27dd3d

Simple test done, see attached screenshot for new behaviour when syntax errors occur.

Thanks!
(0016883)
kinow (reporter)
2012-06-14 16:51

Fixed in f27dd3d
(0017341)
fman (administrator)
2012-09-01 19:59

1.9.4 released

- Issue History
Date Modified Username Field Change
2011-06-05 19:22 kinow New Issue
2011-06-05 19:22 kinow File Added: 007.PNG
2011-06-05 19:22 kinow File Added: sample_reqs.csv
2011-06-05 19:23 kinow File Added: sample_reqs_2.csv
2012-02-21 10:33 mretallack Note Added: 0016401
2012-02-29 21:49 kinow Note Added: 0016408
2012-02-29 21:49 kinow Assigned To => kinow
2012-02-29 21:49 kinow Status new => assigned
2012-06-12 14:51 kinow Status assigned => work in progress
2012-06-14 16:47 kinow Note Added: 0016882
2012-06-14 16:48 kinow File Added: Screenshot from 2012-06-14 13:32:00.png
2012-06-14 16:50 kinow Status work in progress => acknowledged
2012-06-14 16:51 kinow Note Added: 0016883
2012-06-14 16:51 kinow Status acknowledged => resolved
2012-06-14 16:51 kinow Fixed in Version => 1.9.4 (2012 Q3 - bug fixing)
2012-06-14 16:51 kinow Resolution open => fixed
2012-09-01 19:59 fman Note Added: 0017341
2012-09-01 19:59 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker